Bug 107574 - Blue throbbing highlight of comments appear over comment at different window views
Summary: Blue throbbing highlight of comments appear over comment at different window ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: Calc-Comments GTK2
  Show dependency treegraph
 
Reported: 2017-05-02 22:47 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-06-01 02:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast (1.26 MB, video/webm)
2017-05-02 22:49 UTC, Yousuf Philips (jay) (retired)
Details
sample (10.20 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-05-03 19:26 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-05-02 22:47:19 UTC
Steps:
1) Open attached file
2) Select large comment
3) Scroll until row 13 is the first line in the view
4) Notice blue color appears above the yellow color of the comment

Regression as this didnt happen in 5.0.6.3.

Version: 5.4.0.0.alpha0+
Build ID: 74ccd02eda2d6325a27266fd935aba29b3d75020
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-04-27_23:51:14
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Yousuf Philips (jay) (retired) 2017-05-02 22:49:45 UTC
Created attachment 133018 [details]
screencast
Comment 2 Xisco Faulí 2017-05-03 08:23:52 UTC
Hi Jay, it seems you forgot to attach the document...
Comment 3 Yousuf Philips (jay) (retired) 2017-05-03 19:26:35 UTC
Created attachment 133048 [details]
sample

@Xisco: Here it is. :D
Comment 4 Xisco Faulí 2017-05-04 14:53:08 UTC
I can reproduce it in gtk and gen but not in gtk3

Confirmed in

Version: 5.4.0.0.alpha1+
Build ID: f12096272e684ddcd8ffa4e34dcb0a680cc594c2
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

but not in

Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)
Comment 5 Heiko Tietze 2017-05-04 17:10:37 UTC
Confirmed with LXQt/Kwin/Breeze

The flashing comment happens at various positions _without_ any clear reason such as last/first part of the comment shown. The first observation happens when the last lower corner is shown. With master (and a different theme) I can see the frame flashing like the blinking cursor, same frequency as the issue.

Version: 5.3.2.2
Build ID: 5.3.2-3
CPU Threads: 8; OS Version: Linux 4.10; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: en-US (en_US.UTF-8); Calc: group

Version: 5.4.0.0.alpha1+
Build ID: 72097be9ca128083ed5b1cf5a5166ea7419891c5
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 6 Aron Budea 2018-01-09 07:14:53 UTC
Occurs with LO 5.1.0.3 / Ubuntu 17.04, but not with 5.0.0.5. Adjusting earliest affected version.
Comment 7 Buovjaga 2018-05-31 13:25:15 UTC
No repro on Win.
Still repro on Lin.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: a8f8cf72b2b9e912dc4a5aebef55d9b2c0969462
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-05-30_15:31:15
Locale: fi-FI (fi_FI); Calc: group threaded

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 78bed16e17f5128d3523413255d95de85c0ebf36
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on May 31st 2018
Comment 8 QA Administrators 2019-06-01 02:49:29 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug